/* THIS PROGRAM IS PROVIDED "AS IS". TI MAKES NO WARRANTIES OR REPRESENTATIONS,
 * EITHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING ANY IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, LACK OF VIRUSES, ACCURACY
 * OR COMPLETENESS OF RESPONSES, RESULTS AND LACK OF NEGLIGENCE. TI DISCLAIMS
 * ANY WARRANTY OF TITLE, QUIET ENJOYMENT, QUIET POSSESSION, AND NON-INFRINGEMENT
 * OF ANY THIRD PARTY INTELLECTUAL PROPERTY RIGHTS WITH REGARD TO THE PROGRAM OR
 * YOUR USE OF THE PROGRAM.
 * IN NO EVENT SHALL TI BE LIABLE FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL OR
 * INDIRECT DAMAGES, HOWEVER CAUSED, ON ANY THEORY OF LIABILITY AND WHETHER OR
 * NOT TI HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, ARISING IN ANY WAY
 * OUT OF THIS AGREEMENT, THE PROGRAM, OR YOUR USE OF THE PROGRAM.  EXCLUDED
 * DAMAGES INCLUDE, BUT ARE NOT LIMITED TO, COST OF REMOVAL OR REINSTALLATION,
 * COMPUTER TIME, LABOR COSTS, LOSS OF GOODWILL, LOSS OF PROFITS, LOSS OF
 * SAVINGS, OR LOSS OF USE OR INTERRUPTION OF BUSINESS. IN NO EVENT WILL TI'S
 * AGGREGATE LIABILITY UNDER THIS AGREEMENT OR ARISING OUT OF YOUR USE OF THE
 * PROGRAM EXCEED FIVE HUNDRED DOLLARS (U.S.$500).
 * Unless otherwise stated, the Program written and copyrighted by Texas
 * Instruments is distributed as "freeware".  You may, only under TI's copyright
 * in the Program, use and modify the Program without any charge or restriction.
 * You may distribute to third parties, provided that you transfer a copy of this
 * license to the third party and the third party agrees to these terms by its
 * first use of the Program. You must reproduce the copyright notice and any
 * other legend of ownership on each copy or partial copy, of the Program.
 * You acknowledge and agree that the Program contains copyrighted material,
 * trade secrets and other TI proprietary information and is protected by
 * copyright laws, international copyright treaties, and trade secret laws, as
 * well as other intellectual property laws.  To protect TI's rights in the
 * Program, you agree not to decompile, reverse engineer, disassemble or
 * otherwise translate any object code versions of the Program to a
 * human-readable form.  You agree that in no event will you alter, remove or
 * destroy any copyright notice included in the Program.  TI reserves all rights
 * not specifically granted under this license. Except as specifically provided
 * herein, nothing in this agreement shall be construed as conferring by
 * implication, estoppel, or otherwise, upon you, any license or other right
 * under any TI patents, copyrights or trade secrets.
 * You may not use the Program in non-TI devices. */


//******************************************************************************
//
//  vid.c
//  Configuration and handling of the VID interface
//
//  Matthias Ulmann, Design Services - EMEA Power Management
//  Texas Instruments, Inc.
//  September 2013
//  Built with Code Composer Studio Core Edition Version: 5.5.0.00077
//
//******************************************************************************


#include "main.h"



// Initialization of the VID interface
void init_VID(void)
{
	// Set pins as outputs
	set_bit(VID_PDIR, VID_0);
	set_bit(VID_PDIR, VID_1);
	set_bit(VID_PDIR, VID_2);
	set_bit(VID_PDIR, VID_3);
	set_bit(VID_PDIR, VID_4);
	set_bit(VID_PDIR, VID_5);
	set_bit(VID_PDIR, VID_6);
	set_bit(VID_PDIR, VID_7);

	// Disable pull-ups
	clear_bit(VID_RES, VID_0);
	clear_bit(VID_RES, VID_1);
	clear_bit(VID_RES, VID_2);
	clear_bit(VID_RES, VID_3);
	clear_bit(VID_RES, VID_4);
	clear_bit(VID_RES, VID_5);
	clear_bit(VID_RES, VID_6);
	clear_bit(VID_RES, VID_7);

	// Set I/O function
	clear_bit(VID_PSEL, VID_0);
	clear_bit(VID_PSEL, VID_1);
	clear_bit(VID_PSEL, VID_2);
	clear_bit(VID_PSEL, VID_3);
	clear_bit(VID_PSEL, VID_4);
	clear_bit(VID_PSEL, VID_5);
	clear_bit(VID_PSEL, VID_6);
	clear_bit(VID_PSEL, VID_7);

	// Set outputs low (minimum output voltage)
	clear_bit(VID_POUT, VID_0);
	clear_bit(VID_POUT, VID_1);
	clear_bit(VID_POUT, VID_2);
	clear_bit(VID_POUT, VID_3);
	clear_bit(VID_POUT, VID_4);
	clear_bit(VID_POUT, VID_5);
	clear_bit(VID_POUT, VID_6);
	clear_bit(VID_POUT, VID_7);
}
